Lucene search

K
zdiNatnael Samson(Natti)ZDI-18-1109
HistoryOct 02, 2018 - 12:00 a.m.

(0Day) Wecon PIStudio basedll TextContent Stack-based Buffer Overflow Remote Code Execution Vulnerability

2018-10-0200:00:00
Natnael Samson(Natti)
www.zerodayinitiative.com
12

0.017 Low

EPSS

Percentile

87.7%

This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Wecon PIStudio. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file. The specific flaw exists within the handling of hsc files. When parsing the TextContent element, the process does not properly validate the length of user-supplied data prior to copying it to a fixed-length stack-based buffer. An attacker can leverage this vulnerability to execute code under the context of an administrator.

0.017 Low

EPSS

Percentile

87.7%

Related for ZDI-18-1109